Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support
Class RequestFileAttachment

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.FileAttachment
          com.eviware.soapui.impl.wsdl.support.RequestFileAttachment

All Implemented Interfaces:
  WsdlAttachment, Attachment

    public class RequestFileAttachment

extends FileAttachment

Attachment for a WsdlRequest

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.iface.Attachment
`Attachment.AttachmentEncoding, Attachment.AttachmentType`

Constructor Summary
`RequestFileAttachment(com.eviware.soapui.config.AttachmentConfig config, WsdlRequest request)`
`RequestFileAttachment(java.io.File file, boolean cache, WsdlRequest request)`

Method Summary
`Attachment.AttachmentType` | `getAttachmentType()`
`Attachment.AttachmentEncoding` | `getEncoding()`

Methods inherited from class com.eviware.soapui.impl.wsdl.support.FileAttachment
`getConfig, getContentID, getContentType, getInputStream, getName, getPart, getSize, getUrl, isCached, release, setContentID, setContentType, setPart, updateConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestFileAttachment

    public RequestFileAttachment(com.eviware.soapui.config.AttachmentConfig config,
                                 WsdlRequest request)

### RequestFileAttachment

    public RequestFileAttachment(java.io.File file,
                                 boolean cache,
                                 WsdlRequest request)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getEncoding

    public Attachment.AttachmentEncoding getEncoding()

### getAttachmentType

    public Attachment.AttachmentType getAttachmentType()

  Specified by:
    `getAttachmentType` in interface `Attachment`
  Specified by:
    `getAttachmentType` in class `FileAttachment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.